LINUX.ORG.RU

Не могу удалить старое ядро и GRUB ругается

 ,


0

2

Делал очистку устаревших пакетов через Synaptic,не смог удалить только старое ядро

yangus@freedom:~$ dpkg --list | grep linux-image
rH  linux-image-4.4.0-1-amd64   4.4.6-1   amd64    Linux 4.4 for 64-bit PCs
ii  linux-image-4.5.0-1-amd64   4.5.1-1   amd64    Linux 4.5 for 64-bit PCs
ii  linux-image-amd64           4.5+72    amd64    Linux for 64-bit PCs (meta-package)

Попытка autoremove:

Удаляется linux-image-4.4.0-1-amd64 (4.4.6-1) …
/etc/kernel/postrm.d/initramfs-tools:
update-initramfs: Deleting /boot/initrd.img-4.4.0-1-amd64
/etc/kernel/postrm.d/zz-update-grub:
Generating grub configuration file ...
using custom appearance settings
Found background image: /boot/grub/themes/background.png
/etc/grub.d/bin/grubcfg_proxy: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 127
Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-4.4.0-1-amd64.postrm line 182, <STDIN> line 2.
dpkg: ошибка при обработке пакета linux-image-4.4.0-1-amd64 (--remove):
 подпроцесс установлен сценарий post-removal возвратил код ошибки 2
E: Sub-process /usr/bin/dpkg returned an error code (1)

А еще я где-то накосячил

yangus@freedom:~$ sudo update-grub2
Generating grub configuration file ...
using custom appearance settings
Found background image: /boot/grub/themes/background.png
/etc/grub.d/bin/grubcfg_proxy: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory

yangus@freedom:~$ uname -a
Linux freedom 4.5.0-1-amd64 #1 SMP Debian 4.5.1-1 (2016-04-14) x86_64 GNU/Linux

Решение.

Deleted

Ответ на: комментарий от slon

матплата выпущена ранее 2010-2011 годов?

Да

Deleted ()

Может кто подскажет?

Deleted ()

У тебя не тот набор тегов. Убери kernel и ядро linux и добавь grub, так больше шансов, что придут те, кто тебе нужен по сабжу.

r3lgar ★★★★★ ()
Ответ на: комментарий от slon

Иногда нужен полноценный загрузчик, например. При этом вовсе не стоит отказываться от UEFI, иногда оно тоже полезно.

anonymous ()
Ответ на: комментарий от Deleted

По сабжу:

Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-4.4.0-1-amd64.postrm line 182, <STDIN> line 2.
Смотри, что там, и думай, почему так вышло.

anonymous ()

вопрос

error while loading shared libraries: libcrypto.so.1.0.0 No such file or directory

ответ
apt-get install libssl1.0.0

bass ★★★★★ ()
Ответ на: комментарий от Deleted

Я пришёл по тегу ядро linux, который здесь не при делах, потому ничем помочь не могу, так как я дебиан ниасилил, а граб не юзаю. Жди компетентных ЛОРовцев, которые скастуются, я надеюсь, на исправленные теги.

r3lgar ★★★★★ ()
Ответ на: комментарий от slon

На ЛОРе хоть одна тема без холивара не может?

Deleted ()
Ответ на: комментарий от anonymous

уж лучше быть заднеприводным, чем таким шлимазлом и лузером как ты (:

slon ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.